Organization API: Billing & Payouts: Webhooks
The 4 Organization API operations for webhooks.
Part of Billing & Payouts.
GET /api/v1/orgs/{org_slug}/webhooks
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
A 200 response is a list; each item has these fields:
| Field |
Type |
[].id |
integer |
[].org_id |
integer |
[].url |
string |
[].events |
array of any |
[].is_active |
boolean |
[].failure_count |
integer |
[].last_triggered_at |
string (date-time) or null |
[].created_at |
string (date-time) or null |
POST /api/v1/orgs/{org_slug}/webhooks
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
url |
string |
yes |
events |
array of string |
yes |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field |
Type |
id |
integer |
org_id |
integer |
url |
string |
events |
array of any |
is_active |
boolean |
failure_count |
integer |
last_triggered_at |
string (date-time) or null |
created_at |
string (date-time) or null |
PATCH /api/v1/orgs/{org_slug}/webhooks/{webhook_id}
| Name |
In |
Type |
Required |
webhook_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
url |
string or null |
no |
events |
array of string or null |
no |
is_active |
boolean or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
org_id |
integer |
url |
string |
events |
array of any |
is_active |
boolean |
failure_count |
integer |
last_triggered_at |
string (date-time) or null |
created_at |
string (date-time) or null |
DELETE /api/v1/orgs/{org_slug}/webhooks/{webhook_id}
| Name |
In |
Type |
Required |
webhook_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |